 /* ====== BASE CONTENT & NAV ======= */
.content{
    max-width: 1200px;
    margin: 0 auto;
}

#bottom-nav{
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #F3EDF7;
    padding: 1rem 0;
}

#bottom-nav{
    display: flex;
    justify-content: center;
}

#bottom-nav nav ul{
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    gap: 9rem;
}


#bottom-nav .nav-item > a {
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    justify-content: space-between;
    row-gap: 7px;
}
#bottom-nav .nav-item > a::before {
    display: flex;
    flex-basis: 40px;
    width: 80px;
    align-items: center;
    justify-content: center;
}


#bottom-nav .nav-item-active > a::before {
    background: #E8DEF8;
    border-radius: 22px;
}

#menu-datetime > a::before {
    content: url('../icons/ic_datetime.png');
}

#menu-datetime.nav-item-active > a::before {
    content: url('../icons/ic_datetime_active.png');   
}

#menu-alarms > a::before {
    content: url('../icons/ic_alarms.png');
}

#menu-alarms.nav-item-active > a::before {
    content: url('../icons/ic_alarms_active.png');
}

.nav-item a{
    color: #49454F;
    font-size: 13px;    
}

.nav-item-active a{
    font-weight: bold;
}


/* =========== OVERLAY CONTEXT ========*/
.context{
    display: flex;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    justify-content: center;
    align-items: center;
    z-index: 13; 
}

.hidden{
    display: none;
}

.blur-overlay{
    background-color: rgba(0,0,0, 0.4);
    backdrop-filter: blur(7px);
}

.context-card{
    background-color: #fff;
    padding: 2rem;
    border-radius: 12px;
}

.context-card form input{
    border: none;
    outline: thin solid #8b8b8b;
    border-radius: 12px;
    padding: 7px 13px;
}


 /* ============= RESPONSIVITY ===============*/
@media screen and (max-width: 800px) {
    .context-card{
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        overflow-y: scroll;
    }

    .context .context-close-btn{
        margin-bottom: 2rem;
        font-size: 22px;
        padding: 1rem 0;
    }


    .context-card form{
        display: flex;
        flex-direction: column;
        row-gap: 1rem;
    }
}